
TextCritical.net - Task #1997

Add upgrade task to build script

08/17/2017 02:35 AM - Luke Murphey

Status: Closed Start date: 08/16/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.4   

Description

History

#1 - 08/17/2017 02:41 AM - Luke Murphey

- Target version changed from 1.5.3 to 1.5.4

#2 - 08/17/2017 02:46 AM - Luke Murphey

Here is the process:

1. Stop the web-server

2. Sleep to let the web-server stop

3. Make a temporary directory

4. Unzip the package into the temporary directory

5. Copy in the settings file

6. Move the /var directory over

7. Move the media/files directory over (this contains the generated epub documents)

8. Rename the original directory to old_$(date +%Y%m%d%H%M%S

9. Rename the temporary directory back to the original directory name

10. Optionally clear the cache (rm /var/cache)

11. Restart the web-server

#3 - 08/17/2017 03:14 AM - Luke Murphey

- Status changed from New to In Progress

#4 - 08/17/2017 08:17 AM - Luke Murphey

- % Done changed from 0 to 80

#5 - 08/23/2017 05:09 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
